:root{
    --blue: #004e92;
    --orange: #ff512f;
    --pink: #dd2476;
    --red: #e52d27;
    --light: #ffffff;
    --dark: #374151;
    --darker: #1f2937;
    --darkest: #111827;
    --graywhite: #e9eef2;
}

html{
    font-size: 62.5%;
}
body{
    font-size: 1.6rem;
    font-family: monospace, serif;
    box-sizing: border-box;
    margin:0;
}
/*navbar*/
nav {
    background: var(--light);
    padding: 0 1.25rem;
    position: sticky;
    top:0;
    z-index: 1;
    margin:0;
    border-bottom: 0.1rem solid var(--pink);
    fill-opacity: .2;
}
a {
    color: var(--dark);
    text-decoration: none;
}
.menu, .submenu {   
    list-style-type: none;
}
.logo {
    flex: 2;
    font-size: 2rem;
    padding: 0.75rem 1.0rem 0.75rem 0;
}
.logo img{
    margin:0;
    display:inline-flex;
    width:25%;
    height: 3.75rem;
}
.item { 
    padding: 0.75rem;
    font-size:1.6rem;
}
.item.button {
    padding: 0.9rem 0.5rem;
}
.item:not(.button) a:hover, .item a:hover::after {
    color: var(--pink);
}

.menu {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.menu li a {
    display: block;
    padding: 1.5rem 0.5rem;
}
.menu li.subitem a {
    padding: 1.5rem;
}
.toggle {
    order: 1;
    font-size: 2rem;
    
}
.item.button {
    order: 2;
}
.item {
    order: 3;
    width: 100%;
    text-align: center;
    display: none;
}
.active .item {
    display: block;
}

.submenu {
    display: none;
}
.submenu-active .submenu {
   display: block;
}
.has-submenu i {
    font-size: 1.4rem;
}
.has-submenu > a::after {
    font-family: "Font Awesome 5 Free";
    font-size: 1.6rem;
    line-height: 1.6rem;
    font-weight: 900; 
    content: "\f078";
    color: var(--light);
    padding-left: 0.5rem;
}
.subitem a {
    padding: 1rem 1.5rem;
}
.submenu-active {
    background: var(--graywhite);
    border-radius: 0.3rem;
}
.toggle {
    color: var(--light) ;
}

@media all and (min-width: 700px) {
    .menu {
        justify-content: center;
    }
    .logo {
        flex:1;
        order: 0;
    }
    .logo img{
        width: 12.5%;
    }
    
    .logo-image{
        display: no;
    }
    .item.button {
        width: auto;
        order: 1;
        display: block;
    }
    .toggle {
        flex: 1;
        text-align: right;
        order: 2;
    }
   
    .menu li.button a {
        padding: 1rem 1.5rem;
        margin: 0.5rem 0;
    }
   }

@media all and (min-width: 960px) {
    .menu {
        align-items: flex-start;     
        flex-wrap: nowrap;
        background: none;
    }
    .logo {
        order: 0;
    }
    .item {
        order: 1;
        position: relative;
        display: block; 
        width: auto;
    }
    .button {
        order: 2;
    }
    .submenu-active .submenu {
        display: block;
        position: absolute;
        left: 0;
        z-index: 1;
        top: 6.8rem;
        background: var(--graywhite);
    }
    .toggle {
        display: none;
    }
    .submenu-active {
        border-radius: 0;
    }
}

main{
    width: 95%;
    margin: auto;
    background-color: #ffffff;
}
.container{
    margin: auto;
    text-align: center;
}
/* Slideshow container */
.slideshow-container {
    width: 100%;
    position: relative;
    margin: 0;
    overflow-x: hidden;
    
  }
  
.mySlides {
    display: none;
  }
.mySlides img{
    width: 100%;
    display:block;
    height:68.5rem;
    margin:0;
}
.prev, .next {
    display: none;
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}
  
 
.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
}

.text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 8px;
    width: 100%;
    text-align: center;
  }
  
.numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}
 

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}
  
@keyframes fade {
    from {opacity: .6}
    to {opacity: 1}
}
.text-box{
    width: 90%;
    color: var(--graywhite);
    position: absolute;
    top: 70%;
    left:50%;
    transform: translate(-50%, -50%);
    text-align: center;
    background-color: rgba(0, 0, 0, 0.2);
    padding-bottom: 4rem;
    
}
.text-box h1{
    font-size: 6rem;
    color: var(--graywhite);
}
.text-box p{
    margin: 10px 0 40px;
    font-size: 14px;
    color: #fff;
}
.hero-btn{
    display: inline-block;
    text-decoration: none;
    color: var(--blue);
    border: 1px solid #fff;
    padding: 12px 34px;
    font-size: 16px;
    background: transparent;
    position: relative;
    cursor: pointer;
    
}
.hero-btn:hover{
    border: 1px solid  var(--pink);
    background:  var(--pink);
    transition: 2s ease-in all;
    color: var(--darkest);
    font-weight: 700;
    font-size: 1.6rem
    
}
@media(max-width: 700px){
    .text-box h1{
        font-size: 20px;
    }
   .text-box{
        top: 50%;
    }
}
@keyframes change-color{
    
        0%   { color: var(--graywhite);}
        33%  { color:var(--blue); }
        66%  { color:var(--pink); }
        100% { color:var(--red);}

}
/*-------About us-------*/
#about{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 7.5rem;
}
#about h2{
    font-size: 3.2rem;
    font-weight: 900;
}
#about p{
    color: var(--dark);
    font-size: 15px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}
.row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}
.about-col{
    flex-basis: 31%;
    background: #fff3f3;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 2rem 1.2rem;
    box-sizing: border-box;
    transition: 0.5s;

}
.about-col h3{
    text-align: center;
    font-weight: 600px;
    margin: 10px 0;
}
.about-col:hover{
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}
@media(max-width: 700px){
    .row{
        flex-direction: column;
    }
}

/*Resources Section*/
#resources{
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #f2f2f2;
    padding:1.75rem 3rem;
}
#resources .news-updates{
 padding: 1rem;
 margin: 0.5rem;
}
#resources .news-updates h2{
    text-align: center;
}
#resources .news-updates .news-row{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    margin: 1rem;
    padding: 1rem;
    border-bottom: 0.1rem solid var(--pink);
    border-radius: 1rem 0;
}
.news-row .date-month{
    border: 0.1rem solid #000;
    margin: 0.5rem 1rem;
    padding: 0.5rem 1rem;
    box-shadow: 0.3rem 0.25rem 0.1rem var(--darker);
}
.news-row .date-month h3,
.news-row .date-month h5{
    margin: 0;
}
.news-row a{
    color: var(--orange);
    font-weight: Bold;
}
.news-row a:hover{
    color: var(--pink);
}
#resources .key-downloads{
    margin: 0.5rem;
    padding: 1rem;
}
.key-downloads .resource-row{
    display: flex;
    flex-direction: row;
    flex: 2 1;
}
#resources .key-downloads h2{
    text-align: center;
}
.key-downloads .resource-description{
    width: 70%;
}
.key-downloads .resource-download{
    padding-top: 1rem;
}
.key-downloads .resource-download button{
    width: 80%;
    margin: auto;
    padding: 0.45rem;
    border: 0.1rem solid #717171;
    background-color: var(--dark);
    color: var(--graywhite);
    transition: all 2sec ease-in-out
}
.key-downloads .resource-download button a{
    color: var(--graywhite);
}
.key-downloads .resource-download button:hover{
    color: #000;
    background-color: #e9eef2;
}

@media(max-width: 780px){
    #resources{
        flex-direction: column;
    }
}

/*------school-----*/
.school{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
    display: block;
}
.school h2{
    font-size: 3.2rem;
    font-weight: 900;
    text-transform: uppercase;
}
.school-col{
    flex-basis: 50%;
    border-radius: 1rem;
    margin-bottom: 3rem;
    position: relative;
    overflow: hidden;
}
.school-col img{
    width: 72.5%;
}
.layer{
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;

}
.layer:hover{
    background:rgba(0, 0, 0, 0.75);
    
}
.layer h3, 
.layer p{
    width: 100%;
    font-weight: 600;
    color: var(--graywhite);
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;

}
.layer:hover h3{
    top: 15%;
    opacity: 1;
    text-decoration: underline;
}
.layer:hover p {
    top: 22.5%;
    opacity: 1;
}
.learn-more{
    display: block;
    padding: 0.5rem;
    background: var(--dark);
    color:var(--light);
    border: 0.1rem solid var(--dark);
    border-radius: 0.5rem;
    width: 50%;
    margin: 0 auto;
}
.learn-more:hover{
    color: var(--darkest);
    background-color: #e9eef2;
}

/* Gallery Styles*/
.gallery-title{
    font-family: 'Open Sans', 'Helvetica Neue', sans-serif;
}
.gallery-container{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.image-container{
    flex:25%;
    width: 25%;
    margin :0.5rem;
    padding: 0;
    position: relative;
}

.image-container .image-caption{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0;
    padding: 0.1rem 0.1rem;
    background-color: var(--pink);
    opacity: 0.7;
    font-family: Tangeriner, cursive;
    text-align: center;
    
}
.image-container .image-caption h4{
    opacity: 1;
}
.image{
    width: 100%;
    height: 30rem;
    transition: all 0.75s ease-in;
    opacity: 0.975;
    border-radius: 2rem 0 0 0; 
    display: block;
    border: 0.1rem solid #000;
}
.image:hover, .image:focus{
 transform: scale(1.015);
 box-shadow: 0 0 0.5rem 0.2rem  var(--darkest);
 border:none;
 opacity: 1;
 z-index: 1;
}
@media(max-width: 500px){
   .image-container{
    flex: 100%;
    max-width: 100%;
   }
    .image{
        width: 100%
    }
}


/*footer styles*/
footer{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    align-content: center;
    background-color: rgb(0, 0, 0);
    margin-top:3rem;
    width: 100%;
}

footer a{
    display: block;
    padding: 0.9rem 0.75rem;
    text-decoration: none;
    color: var(--graywhite)
}
footer a:hover, footer:focus{
    color: var(--pink)
}

.left-panel, .middle-panel, .right-panel{
    background: rgba(0, 0, 0, 0.5);
    margin: 2rem 0;
    padding: 1rem;
    color: var(--graywhite)
}
.left-panel h4, .middle-panel h4, .right-panel h4{
    text-transform: uppercase;
    text-decoration: underline;
    font-weight: 900;
    text-align: center;
}

.left-panel .top-leftp{
    display: flex;
    flex-direction: row;
    text-align: left;
    padding: 0.5rem;
    border-bottom: 0.1rem solid #ddd;
}
.left-panel .top-leftp .tl-contact{
    text-align: left;
}
.left-panel .top-leftp .tl-contact ul,
.middle-panel .social-media ul,
.right-panel ul{
    list-style: none;
}
.left-panel .bottom-leftp{
    padding: 0.5rem;
    text-align: center;
}
.middle-panel .social-media{
    padding: 1rem 0.25rem;
    
}
.middle-panel .social-media ul li{
   display: inline-flex;
   font-size: 3.2rem;
   text-align: left;
   padding-left:0;
}
.middle-panel .social-media ul li a{
   color: var(--graywhite) !important;
}
.middle-panel .social-media ul li a i:hover,
.middle-panel .social-media ul li a i:focus{
    color: var(--pink)
}
.middle-panel .mailing-list{
    margin-top: 5rem;
    text-align: center;
    border-top: 0.1rem solid #ddd;
}
.right-panel ul li a{
    font-size: 1.6rem;
}

/*Nderi Road School/kikuyu town school styles*/
.page-title{
    margin-left: 15rem;
    font-weight: 900;
}
#school-details{
    width: 80%;
    padding: 1rem;
    margin: 0.5rem auto;
}
.upper-section{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.upper-section .pictorial{
    box-sizing: border-box;
}
.upper-section .pictorial .model{
    margin:0.5rem;
    width: auto;   
}
.upper-section .pictorial .model img{
    width: 30rem;
    height: auto;
    margin-bottom: 1rem;
}
.upper-section .pictorial .model .model-caption{
    border-top: 0.2rem solid #000;
    border-bottom: 0.2rem solid #000;
}
.upper-section .pictorial .model .model-caption a{
    display: block;
    text-decoration: none;
    padding:1rem;
    font-size: 1.6rem;
}
.upper-section .pictorial .model .model-caption a:hover{
    color: var(--pink);
}
.upper-section .info-details{
    transform: skewX(-0.25deg);
    padding: 1rem;
    margin: 0.5rem;
    background-color: #f1f1f1;
    box-shadow: 0 0 0.5rem var(--red);
}
.lower-section{
    margin: 1rem auto;
    width: 90%;
}
.lower-section .directions{
    display: none;
    width: 75%;
    margin: 0.5rem auto;
    text-decoration: none;
    padding: 1rem;
    color: var(--light);
    background: var(--darkest);
    border: 0.1rem solid var(--darkest);
    font-size: 1.6rem;
    text-transform: capitalize;
}
.lower-section .directions:hover{
    color: var(--darkest);
    background: var(--graywhite);
}

@media(max-width: 700px){
    .page-title{
        text-align: center;
        margin-left:auto;
    }
    #school-details{
    display: flex;
    flex-direction: column;
    align-items: center;
    width:85%;
    margin:0 auto;
    padding: 1rem;
    }
    #school-details .upper-section{
        display: flex;
        flex-direction: column;
    }
    .upper-section .info-details, .pictorial .model{
        position: relative;

    }
    .lower-section{
        width: 85%;
        margin: 0.5rem auto;
    }
    .lower-section .map{
        display: none;
    }
    .lower-section .directions{
        display: block;
    }

}

/*contact form*/
.contact-container{
    padding: 1rem;
    display: flex;
    flex-basis: initial auto;
    flex-direction: row;
    justify-content: space-around;
}
.contact-container .contact-info{
    display: flex;
    flex-direction:column;
    background-color: rgba(0, 0, 0, 0.371);
    padding: 0.5rem 2.75rem;
}
.contact-info a:hover{
    color: var(--pink)
}
.contact-info h2{
    text-align: center;
    text-decoration: underline;
    font-size: 1.8rem;
}
.contact-info .contact-dets ul{
    list-style: none;
}
.contact-info .contact-dets ul li{
    font-weight: 600;
}
.contact-info .socials h3{
    font-size: 1.8rem;
    text-align: left;
    margin: 0 2rem;
}
.contact-info .socials ul{
    list-style: none;
    display: inline-flex;
    justify-content: center;
}
.contact-info .socials ul li{
    padding: 1rem;
    align-items: center;
}
.contact-info .socials ul li a{
    color: var(--darkest);
    font-size: 2.7rem;
}
.contact-info .socials ul li a:hover{
    color:var(--pink)
}
.contact-container .contact-form{
    min-width: 60% ;
    max-width: 100%;
}
.form{
    display: block;
    width: -webkit-fill-available;
    margin: 1rem auto;
    border: 0.1rem solid #000;
    border-radius: 1rem;
    box-sizing: border-box;
    padding: 1rem;
}
.form legend{
    text-align: center;
    text-decoration: underline;
    padding: 0.5rem;
    font-size: 1.8rem;
    font-weight: 600;
}
.form-label{
    display:block;
    padding: 0.2rem;
}
.form-input{
    padding: 0.5rem;
    width: 92.5%;
}
.form-btn{
    padding: 0.55rem;
    color: var(--graywhite);
    background-color: var(--dark);
    border: 0.1rem solid #717171;
    text-align: center;
    width: 30%;
    font-size: 1.5rem;
    font-weight: 700; 
}
.form-btn:hover, .form-btn:focus{
    background-color: #e9eef2;
    color: var(--darkest);
}
.hours ul{
    list-style: none;
}
.hours h4{
    margin-left: 0 2rem;
}

@media(max-width: 657px){
    .contact-container{
        flex-direction: column;
    }
}

/*About and management Section*/
#ourhistory{
    box-sizing: border-box;
    padding:1rem;
    width: 90%;
    margin: 1rem auto;
    
}
#ourhistory .aboutus{
    width: 87.5%;
    margin: 1rem auto;
    padding: 1rem;
    border: 0.1rem solid #717171;
    border-radius: 1rem 0;
}

#ourhistory .past,
#ourhistory .future{
    background-color: var(--graywhite);
}
#ourhistory .present{
    background-color: rgba(0, 0, 0, 0.371);
}
#management{
    box-sizing: border-box;
    padding:1rem;
    width: 90%;
    margin: 1rem auto;
    scroll-margin: 10rem;;
}
#management .director-title,
#management .director-intro{
    text-align: center;
}
#management .director{
    display: flex;
    flex-basis: 1 2;
    flex-direction: row;
    justify-content: space-between;
    padding: 1rem;
    margin: 1rem;
}
.head-image img{
    display: block;
    max-width: 45%;
    min-width: 30rem;
    height: auto;
    text-align: left;
}
.head-image ul{
    list-style: none;
}
.head-image .director-details li{
    margin: 0.5rem;
}
.head-image .director-socials{
    display: inline-flex;
    align-items: center;
    margin-top:0;
}
.head-image .director-socials li{
    padding: 0.75rem;
}
.head-image .director-socials li a{
    color: var(--darkest);
    font-size: 2.4rem;
    font-weight: 750;
}
.head-image .director-socials li a:hover,
.head-image .director-details li a:hover{
    color: var(--pink);
}
#management .director-note{
    padding: 1rem;
    margin: 0.5rem;
    border-left: 0.1rem solid #000;
}

@media(max-width:678px){
    #management{
        scroll-margin: 10rem;
    }
    #management .director{
        display: flex;
        flex-direction: column;
    }
    #management .director-note{
        width: 90%;
        border: 0.1rem solid #717171;
    }
}

.alert{
    width: 90%;
    padding: 0.5rem;
    text-align: center;
    background: rgba(127,255,0, 0.5);
    margin: 0 auto;
}